# UserInterfaceControl

#### abstractnew Cesium.UserInterfaceControl(terria)
Navigation/UserInterfaceControl.js 23

The view-model for a control in the user interface

Name | Type | Description
--- | --- | ---
`terria` | Terria | The Terria instance.

### Members

#### cssClass : String
Navigation/UserInterfaceControl.js 67

Gets or sets the CSS class of the control. This property is observable.

#### isActive : Boolean
Navigation/UserInterfaceControl.js 74

Gets or sets the property describing whether or not the control is in the active state. This property is observable.

#### name : String
Navigation/UserInterfaceControl.js 36

Gets or sets the name of the control which is set as the controls title. This property is observable.

#### svgHeight : Integer
Navigation/UserInterfaceControl.js 55

Gets or sets the height of the svg icon. This property is observable.

#### svgIcon : Object
Navigation/UserInterfaceControl.js 49

Gets or sets the svg icon of the control. This property is observable.

#### svgWidth : Integer
Navigation/UserInterfaceControl.js 61

Gets or sets the width of the svg icon. This property is observable.

#### terria : Terria
Navigation/UserInterfaceControl.js 85

Gets the Terria instance.

#### text : String
Navigation/UserInterfaceControl.js 43

Gets or sets the text to be displayed in the UI control. This property is observable.

### Methods

#### abstract protectedactivate()
Navigation/UserInterfaceControl.js 108

When implemented in a derived class, performs an action when the user clicks on this control.